Installation instructions for S7-PLCSIM Advanced V3.0

In section Instructions Examples Basics History Extra
Start Previous Next

Installation instructions for S7-PLCSIM Advanced V3.0

This section contains information on the following topics:
  • Introduction
  • S7-PLCSIM Advanced
  • Installing S7-PLCSIM Advanced
  • Changing S7-PLCSIM Advanced
  • Repairing S7-PLCSIM Advanced
  • Uninstalling S7-PLCSIM Advanced


Introduction

Introduction

This section contains information on the following topics:
  • System requirements
  • Restrictions due to antivirus programs
  • Licenses
  • Trial License
  • Functions for licenses
  • Installation log


System requirements

Operating systems (64-bit versions) Virtualization platforms

System requirements

You should preferably install PLCSIM Advanced on a SIMATIC Field PG M5 Advanced or comparable PC.

For PLCSIM Advanced to operate efficiently, the following minimum requirements for computer hardware or for a virtual machine must be met.

System requirements

Hardware

Virtual machine

Processor

  • One logical Intel Core™ i7‑6820EQ core per started instance

  • At least one additional core for the operating system

  • At least one additional core for the additional active applications

  • One virtual CPU per started instance has to be assigned to the VM

  • A corresponding number of processors has to be physically available on the host

  • At least one additional core for the operating system

  • At least one additional core for the additional active applications

  • At least two cores, if STEP 7 (TIA Portal) is installed on the VM

RAM

  • 1 GB per started instance

  • At least 4 GB for the Windows operating system

  • Additional RAM corresponding to the requirements of the remaining active applications

  • 1 GB per started instance

  • At least 4 GB for the Windows operating system

  • Additional RAM corresponding to the requirements of the remaining active applications

  • At least 8 GB, if STEP 7 (TIA Portal) is installed on the VM

Free hard disk space

5 GB

5 GB

Screen resolution

Minimum 1024 x 768

Minimum 1024 x 768

Operating systems (64-bit versions)

PLCSIM Advanced V3.0 supports the following operating systems:

  • Windows 7 Home Premium

  • Windows 7 Professional SP1

  • Windows 7 Enterprise SP1

  • Windows 7 Ultimate SP1

  • Windows 10 Home Version 1809, 1903

  • Windows 10 Pro Version 1809, 1903

  • Windows 10 Enterprise Version 1809, 1903 (for SIMATIC Field PG M5)

  • Windows 10 (IoT) Enterprise 2016 LTSB

  • Windows 10 (IoT) Enterprise 2019 LTSC

  • Windows Server 2012 R2 StdE (full installation)

  • Windows Server 2016 Standard (full installation)

  • Windows Server 2019 Standard (full installation)

Note

Make sure that the Windows operating system you are using is up to date.

Virtualization platforms

You can install STEP 7 and PLCSIM Advanced on a virtual machine. For this purpose, use one of the following virtualization platforms in the specified version or a newer version:

  • VMware vSphere Hypervisor (ESXi) 6.7

  • VMware Workstation Pro 15.0.2

  • VMware Player 15.0.2

The information that you need to install STEP 7 (TIA Portal) on a virtual machine is available on the Internet.


Restrictions due to antivirus programs

Supported antivirus programs Known problems and limitations

Restrictions due to antivirus programs

Notice

Restrictions due to antivirus programs

Virus scanners that monitor the behavior of processes and communication can have a significant impact on the performance of the runtime and communication of PLCSIM Advanced.
Note

Readme

You can obtain updates to the topic as downloads on the Internet.

Supported antivirus programs

PLCSIM Advanced supports Trend Micro Office Scan 12.0.

Known problems and limitations

Kaspersky

When using the Anti-Virus virus scanner from Kaspersky, the network settings might not be set correctly during the installation of PLCSIM Advanced. The result is that communication via TCP/IP cannot be used (error code -50).

Remedy

Check your network settings as described in the section "Activating distributed communication".


Licenses

Floating license

Licenses

Floating license

PLCSIM Advanced is supplied with a floating type license. It can be stored locally and shared for a network.

Note

Validity

A license is valid for two instances within a PLCSIM Advanced installation.

PLCSIM Advanced V3.0 can only be used with a V3.0 license.

Handling of licenses is described in the Help for SIMATIC Automation License Manager (ALM).


Trial License

Activating the Trial License Timeout alarm

Trial License

A license is available for the limited period of 21 days for S7-PLCSIM Advanced V3.0. After this Trial License has elapsed, the instance is no longer started.

Activating the Trial License

As soon as you start an instance in the Control Panel, the Automation License Manager (ALM) searches the network for a valid license. If a Floating License is available for S7‑PLCSIM Advanced, the ALM offers the Trial License for activation.

Activating the Trial License

Activating the Trial License

A message at the start of the instances shows the remaining number of days.

Trial License message

Trial License message

Note

Remote access

With remote access, the message must be confirmed on the PC on which the instance was started.

Timeout alarm

If you do not confirm the message for the license in a certain amount of time, the instance is not started and the following message appears:

Timeout alarm

Solution

Start the instance again and confirm the message for the license.


Functions for licenses

API functions for licenses

Functions for licenses

API functions for licenses

PLCSIM Advanced regularly checks whether a license is available. The following return values provide information about the status (for example, for C++):

  • Return values for API function PowerOn() and callback function OnOperatingStateChanged

    • SREC_OK when a floating license is available.

    • SREC_WARNING_TRIAL_MODE_ACTIVE when an instance is started with the Trial License.

    • SREC_WARNING_RUNNING_ON_TIA_PORTAL_TEST_SUITE, no valid license for PLCSIM Advanced is available, but a "TIA Portal Test Suite" license.
      PLCSIM Advanced starts with this license. A download from the TIA Portal is possible, but the instance terminates without feedback if the download was not made from the TIA Portal Test Suite.

    • SREC_NOT_EMPTY, if no valid license for PLCSIM Advanced is available, but a "TIA Portal Test Suite" license is available. If this is the case, power-up from the Virtual SIMATIC Memory Card is not supported.

  • Return value for callback function OnOperatingStateChanged

    • SREC_LICENSE_NOT_FOUND when the instance is automatically shut down after 21 days.


Installation log

Memory location of the installation log Setup_Report (CAB file)
Start Previous Next

Installation log

The log files contains automatically recorded information on the following installation processes:

  • Installation of S7-PLCSIM Advanced

  • Change or update of installation of S7‑PLCSIM Advanced

  • Repair of an existing installation of S7‑PLCSIM Advanced

  • Uninstallation of S7-PLCSIM Advanced

You can evaluate installation errors and warnings using the log files. You can troubleshoot the installation yourself or contact Siemens Technical Support. Product Support personnel need information from the installation log to analyze the problem. Send the folder with the log files as a ZIP file to Support.

Memory location of the installation log

The memory location of the log file depends on the operating system. To open the folder with the log files, enter the environment variable "%autinstlog%" in the address bar in Windows Explorer. Alternatively, you reach the appropriate directory by entering "cd %autinstlog%" in the command line.

The log files are named as follows:

  • "SIA_S7-PLCSIM_Advanced_V03@<DATE_TIME>.log"

  • "SIA_S7-PLCSIM_Advanced_V03@<DATE_TIME>_summary.log"

Setup_Report (CAB file)

The installation log and other required files are stored in a log file. This file can be found at "%autinstlog%\Reports\Setup_report.cab".

A separate CAB file with a date ID is saved for each installation.

If you need help during installation, send this CAB file to Siemens Technical Support for troubleshooting.


S7-PLCSIM Advanced

Setup program

S7-PLCSIM Advanced

The S7-PLCSIM Advanced package contains the following software:

  • S7-PLCSIM Advanced

  • Automation License Manager

  • S7‑PLCSIM V5.4

  • .NET Framework

  • WinPcap

The package is available as download and on DVD.

  • SIMATIC S7-PLCSIM Advanced V3.0 Floating License

  • Upgrade SIMATIC S7‑PLCSIM Advanced V2.0 → V3.0

After installing PLCSIM Advanced, keep the DVD in a secure, easily accessible place.

Setup program

You can use the Setup program to change, repair or uninstall your installation, if necessary.


Installing S7-PLCSIM Advanced

Installation requirements Installing S7-PLCSIM Advanced Error during installation of S7‑PLCSIM Advanced
Start Previous Next

Installing S7-PLCSIM Advanced

Installation requirements

The Setup program starts automatically with a double-click on the download package or when you insert the DVD in the drive. Make sure that the following conditions are met before you begin the installation process:

  • The hardware and software of the computer meet the system requirements.

  • You have administrator rights on the installation computer.

  • No other programs are active. This also applies to the Siemens Automation License Manager and other Siemens applications.

  • All S7-PLCSIM versions prior or equal to V14 are uninstalled.

Note

Security settings

For licensing via the ALM, you must agree during installation that port 4410 for TCP can be entered as an exception in the Windows Firewall (procedure step 5).
Note

Use of virus scanners

Note the information provided in section Restrictions due to antivirus programs .

Installing S7-PLCSIM Advanced

To install, follow these steps:

  1. Double-click the download package or insert the installation medium into the DVD drive of your computer. The setup program starts up automatically, provided you have not disabled the Autostart function on the computer. If the setup program does not start up automatically, start it manually by double-clicking the "Start.exe" file. The "General settings" window is displayed.

  2. Click the "Read installation notes" button. After you have read the notes, close the file.

  3. Click the "Read product information" button. After you have read the information, close the file.

  4. Click the "Browse" button if you want to change the default installation path. The installation path must not exceed 89 characters. The path name must not contain any UNICODE characters. If you select a different installation path than the default installation path, the desktop icon might not be displayed correctly.

  5. Click "Next". The window with the security settings is displayed. To continue the installation, select the check box at the bottom of the screen to accept changes to the security and permissions settings of your system.

  6. Click "Next". The window with the installation settings is displayed. You can save or print a report of the settings by clicking "Save report" or "Print report". Check the settings for correctness. If you want to make any changes, click "Back" until you reach the point in the installation process where you want to make changes. Once you have completed your changes, click "Next".

  7. The overview screen shows your installation details. Click the "Install" button. The installation then starts.

  8. After completion of the setup program, you must restart your computer. Select "Yes, I want to restart the computer now" to restart the computer immediately or select "No, I will restart computer later" to restart the computer later.

  9. Click "Restart". If the computer is not restarted, click "Finish".

Error during installation of S7‑PLCSIM Advanced

When PLCSIM Advanced is installed, any existing installation of S7‑PLCSIM is displayed.

A requirement for installation of S7‑PLCSIM Advanced is that no other S7‑PLCSIM installation prior or equal to V14 is located on the same computer.

Even though no installation of S7‑PLCSIM is displayed in the "Programs and Features" list, it is still possible that the computer has an existing installation.

Remedy

Run the setup for S7‑PLCSIM prior or equal to V14 and uninstall the program.

When the setup is not available, download the setup files for S7‑PLCSIM viaSiemens Mall.


Changing S7-PLCSIM Advanced

Requirements Procedure

Changing S7-PLCSIM Advanced

Requirements

The following conditions must be met before you can start changing the installation:

  • The hardware and software of the computer meet the system requirements.

  • You have administrator rights on the installation computer.

  • No other programs are active.

Procedure

To change your S7-PLCSIM Advanced installation, follow these steps:

  1. Double-click the download package or insert the installation medium into the drive. The setup program starts up automatically, provided you have not disabled the Autostart function on the computer. If the setup program does not start up automatically, start it manually by double-clicking the "Start.exe" file.

  2. Follow the prompts until you reach the "Configuration" window.

  3. Select the "Change upgrade" check box.

  4. Follow the remaining prompts to change your installation.

  5. Complete the installation operation by restarting your computer.
Note

Target directory

You cannot change the target directory because you are changing an existing installation.


Repairing S7-PLCSIM Advanced

Requirements Procedure

Repairing S7-PLCSIM Advanced

Requirements

The following conditions must be met before you can start repairing the installation:

  • The hardware and software meet the system requirements.

  • You have administrator rights on the installation computer.

  • No other programs are active.

Procedure

To repair your installation, follow these steps:

  1. Double-click the download package or insert the installation medium into the drive. The setup program starts up automatically, provided you have not disabled the Autostart function on the computer. If the setup program does not start up automatically, start it manually by double-clicking the "Start.exe" file.

  2. Follow the prompts until you reach the "Configuration" window. Select the "Repair" check box.

  3. Follow the remaining prompts to repair your installation.

  4. Complete the repair operation by restarting your computer.


Uninstalling S7-PLCSIM Advanced

Uninstalling S7-PLCSIM Advanced using the Windows Control Panel Uninstalling S7-PLCSIM Advanced using the Setup program Uninstalling additional software
Start Previous Next

Uninstalling S7-PLCSIM Advanced

You have two options for uninstalling S7‑PLCSIM Advanced:

  • You uninstall the program using the Windows Control Panel.

  • You uninstall the entire product using the Setup program.

Uninstalling S7-PLCSIM Advanced using the Windows Control Panel

Proceed as follows:

  1. Double-click the "Programs and Features" option in the Windows Control Panel.

  2. Right-click "Siemens S7‑PLCSIM Advanced V3.0" and select "Uninstall".

  3. Follow the prompts for uninstallation.

  4. Complete the uninstallation operation by restarting your computer.

    If you do not perform a restart, the Runtime Manager continues running.

If problems occur when uninstalling PLCSIM Advanced using the Windows Control Panel, use the installation medium for uninstalling.

Uninstalling S7-PLCSIM Advanced using the Setup program

Proceed as follows:

  1. Double-click the download package or insert the installation medium into the drive. The setup program starts up automatically, provided you have not disabled the Autostart function on the computer. If the setup program does not start up automatically, start it manually by double-clicking the "Start.exe" file.

    If you do not perform a restart, the Runtime Manager continues running.

  2. Follow the prompts until you reach the "Configuration" window. Your previous installation is detected. Select the "Uninstall" check box.

  3. Follow the prompts for uninstallation.

  4. Complete the uninstallation operation by restarting your computer.

    If you do not perform a restart, the Runtime Manager continues running.

Uninstalling additional software

During uninstalling the following software from the S7‑PLCSIM Advanced package remains installed:

  • Automation License Manager

  • S7‑PLCSIM V5.4

  • .NET Framework

  • WinPcap

If you also want to uninstall this software, use the Windows Control Panel.